%define section free

Summary:        Web application framework for J2EE
Name:           webwork
Version:        1.4
Release:        1jpp
Epoch:          0
License:        Apache Software License
URL:            http://www.opensymphony.com/webwork/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        webwork-1.4.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/opensymphony login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/opensymphony export -r release_1_4_0 webwork
Patch0:         webwork-Script.patch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  jtidy >= 0:1.0
BuildRequires:  bsf >= 0:2.3.0
BuildRequires:  clover >= 0:1.2.4
BuildRequires:  httpunit >= 0:1.5.4
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  xalan-j2 >= 0:2.5.2
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jdom >= 0:1.0
BuildRequires:  bsf >= 0:2.3.0
BuildRequires:  cos-multipart >= 0:0.05Nov2002
BuildRequires:  rhino >= 0:1.5
BuildRequires:  pell-multipart >= 0:1.30
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:  itext >= 0:1.02b
BuildRequires:  jasperreports >= 0:0.5.2
BuildRequires:  jakarta-poi >= 0:2.0
BuildRequires:  log4j >= 0:1.2.8
BuildRequires:  velocity >= 0:1.3.1
Requires:  bsf >= 0:2.3.0
Requires:  httpunit >= 0:1.5.4
Requires:  servletapi4 >= 0:4.0.4
Requires:  xalan-j2 >= 0:2.5.2
Requires:  xerces-j2 >= 0:2.6.0
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jdom >= 0:1.0
Requires:  bsf >= 0:2.3.0
Requires:  cos-multipart >= 0:0.05Nov2002
Requires:  rhino >= 0:1.5
Requires:  pell-multipart >= 0:1.30
Requires:  jakarta-commons-beanutils >= 0:1.6.1
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-digester >= 0:1.5
Requires:  itext >= 0:1.02b
Requires:  jasperreports >= 0:0.5.2
Requires:  jakarta-poi >= 0:2.0
Requires:  log4j >= 0:1.2.8
Requires:  velocity >= 0:1.3.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
WebWork is a web application framework for J2EE. 
It is based on a concept called "Pull HMVC" Pull 
Hierarchical Model View Controller). It supports 
an arrange of view technologies - XSLT, JSP, 
Velocity, Applet, Jasper Reports, and more.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm {} \;
# Remove example with db4o, this lib is non-free, commercial only
rm -rf src/main/webwork/examples/userreg

%patch0

%build
export CLASSPATH=$(build-classpath \
junit)
ln -s $(find-jar jtidy) lib/build/jtidy.jar
ln -s $(find-jar bsf) lib/build/bsf.jar
ln -s $(find-jar clover) lib/build/clover.jar
ln -s $(find-jar httpunit) lib/build/httpunit.jar
ln -s $(find-jar junit) lib/build/junit.jar
ln -s $(find-jar servletapi4) lib/build/servlet.jar
ln -s $(find-jar xalan-j2) lib/build/xalan.jar
ln -s $(find-jar xerces-j2) lib/build/xerces.jar
ln -s $(find-jar commons-logging) lib/core/commons-logging.jar
# BUILD/webwork/lib/examples/db4o.jar
ln -s $(find-jar jdom) lib/examples/jdom.jar
ln -s $(find-jar bsf) lib/examples/bsf.jar
ln -s $(find-jar cos-multipart) lib/optional/cos-multipart.jar
ln -s $(find-jar rhino) lib/optional/js.jar
ln -s $(find-jar pell-multipart) lib/optional/pell-multipart.jar
ln -s $(find-jar commons-beanutils) lib/view/commons-beanutils.jar
ln -s $(find-jar commons-collections) lib/view/commons-collections.jar
ln -s $(find-jar commons-digester) lib/view/commons-digester.jar
ln -s $(find-jar itext) lib/view/itext.jar
ln -s $(find-jar jasperreports) lib/view/jasperreports.jar
ln -s $(find-jar poi) lib/view/poi.jar
ln -s $(find-jar log4j) lib/view/log4j.jar
ln -s $(find-jar velocity) lib/view/velocity.jar

ant -Dbuild.sysclasspath=first dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p dist/lib/%{name}client.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-client-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
cp dist/etc/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
cp dist/%{name}.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf dist/docs/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/license.txt
%{_datadir}/%{name}-%{version}
%{_javadir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}

# -----------------------------------------------------------------------------

%changelog

* Tue Mar 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4-1jpp
- First JPackage release
